name: tpl
description: "Format a Go template file given yaml file."
inputs:
  command:
    description: "Arguments to pass into tpl."
    required: false
  catchErrors:
    description: "Whether or not errors should be handled."
    required: false
outputs:
  console:
    description: "The console output of the tpl command."
  exitCode:
    description: "How the program exited."
runs:
  using: 'docker'
  image: 'Dockerfile'
  env:
    CATCH_ERRORS: ${{ inputs.catchErrors }}
  args:
  - ${{ inputs.command }}